View Issue Details

IDProjectCategoryLast Update
0019588AI War 2[All Projects] SuggestionOct 7, 2018 3:38 pm
ReporterOvalcircleAssigned ToDominus Arbitrationis 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.720 
Fixed in Version0.781 Destruction Diversity 
Summary0019588: Ability to delete saves
DescriptionMaybe I'm blind, but I can't see a button to delete save games. They're bothering me by being there while I deliberately left the campaign due to me testing stuff out and abandoning it shortly after.
TagsNo tags attached.

Relationships

child of 0020158 resolvedx4000Bughunter Improve main menu, settings, etc. 

Activities

BadgerBadger

Apr 13, 2018 12:03 am

manager   ~0047420

Chris, does the intended UI rework for the Save/Load menu include this? And do you anticipate reworking the Save/Load in the new UI style before EA? If not then I might be able to add this to the current Save/Load UI.

x4000Bughunter

Apr 13, 2018 12:55 pm

administrator   ~0047423

I don't plan on revising this screen prior to EA, just for time constraints. If you can add that pre-EA, that's definitely appreciated. Thanks!

BadgerBadger

Apr 13, 2018 4:05 pm

manager   ~0047427

Ovalcircle, are you asking about deleting an entire campaign? Or a single save?

Ovalcircle

Apr 13, 2018 4:46 pm

reporter   ~0047428

Both, actually. I have 5 campaigns that I have abandoned taking up space on the load game screen. Deleting saves would also be helpful.

Ovalcircle

Apr 13, 2018 10:38 pm

reporter  

AI War 2 Saves.jpg (124,676 bytes)
AI War 2 Saves.jpg (124,676 bytes)

BadgerBadger

May 2, 2018 10:31 am

manager   ~0047534

Note that this will require a new GameCommand

to go with
    public class GameCommand_SaveGame : BaseGameCommand
    {
        public override void Execute( GameCommand command, ArcenSimContext context )
        {
            string saveName = command.RelatedString;
            SaveGameData saveData = SaveGameData.CreateSaveGameData( saveName, ArcenTime.Now );
            List<string> metaDataList = new List<string>();
            saveData.FillMetadataList( metaDataList );
            World.Instance.SaveWorldToDisk( saveName, metaDataList );
            if ( command.RelatedBool )
                Engine_AIW2.Instance.QuitRequested = true;
        }
    }

We will need a DeleteSaveGame, which will allow autosave to track the last X saves

BadgerBadger

May 4, 2018 1:58 pm

manager   ~0047543

Hey Chris, I've implemented a "DeleteSaveGame" function, which you can observe being used in the Autosave code in Human.cs. What's needed now is the appropriate UI, and I think that's a question for you and Eric.

BadgerBadger

Oct 6, 2018 12:27 am

manager   ~0049791

Dominus added the button

Dominus Arbitrationis

Oct 6, 2018 9:53 am

administrator   ~0049795

Last edited: Oct 6, 2018 9:54 am

View 2 revisions

I also used World.Instance.DeleteSaveGame from ArcenUniversal, rather than the game command. I couldn't get that to work quite right.

Also note that my system doesn't yet allow deletion of campaigns.

x4000Bughunter

Oct 7, 2018 3:38 pm

administrator   ~0049813

Fantastic work!

Issue History

Date Modified Username Field Change
Apr 12, 2018 11:52 pm Ovalcircle New Issue
Apr 13, 2018 12:02 am BadgerBadger Assigned To => x4000Bughunter
Apr 13, 2018 12:02 am BadgerBadger Status new => assigned
Apr 13, 2018 12:03 am BadgerBadger Note Added: 0047420
Apr 13, 2018 12:55 pm x4000Bughunter Note Added: 0047423
Apr 13, 2018 12:55 pm x4000Bughunter Assigned To x4000Bughunter => BadgerBadger
Apr 13, 2018 4:05 pm BadgerBadger Note Added: 0047427
Apr 13, 2018 4:46 pm Ovalcircle Note Added: 0047428
Apr 13, 2018 10:38 pm Ovalcircle File Added: AI War 2 Saves.jpg
May 2, 2018 10:31 am BadgerBadger Note Added: 0047534
May 4, 2018 1:57 pm BadgerBadger Assigned To BadgerBadger => x4000Bughunter
May 4, 2018 1:58 pm BadgerBadger Note Added: 0047543
Sep 6, 2018 10:16 am x4000Bughunter Relationship added child of 0020158
Oct 6, 2018 12:27 am BadgerBadger Status assigned => resolved
Oct 6, 2018 12:27 am BadgerBadger Resolution open => fixed
Oct 6, 2018 12:27 am BadgerBadger Fixed in Version => 0.781 Destruction Diversity
Oct 6, 2018 12:27 am BadgerBadger Note Added: 0049791
Oct 6, 2018 12:27 am BadgerBadger Assigned To x4000Bughunter => Dominus Arbitrationis
Oct 6, 2018 9:53 am Dominus Arbitrationis Note Added: 0049795
Oct 6, 2018 9:54 am Dominus Arbitrationis Note Edited: 0049795 View Revisions
Oct 7, 2018 3:38 pm x4000Bughunter Note Added: 0049813